package cn.yw.operationcount.latandloncount.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywcountlalcollectDao")
public class YwcountlalcollectDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Ywcountlalcollect(Map map) throws SQLException{
		this.insert("insert_Ywcountlalcollect",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Ywcountlalcollect(List batch) throws SQLException{
		this.insert("batch_insert_Ywcountlalcollect",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywcountlalcollect(Map map) throws SQLException{
		return this.update("update_Ywcountlalcollect",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywcountlalcollect(Map map) throws SQLException{
		return this.delete("delete_Ywcountlalcollect",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Ywcountlalcollect(Map map) throws SQLException{
		return this.delete("batch_delete_Ywcountlalcollect",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywcountlalcollect(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywcountlalcollect",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Ywcountlalcollect(Map map) throws SQLException{
		return this.queryForPage("query_Ywcountlalcollect",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Ywcountlalcollect(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywcountlalcollect",map);
	}
}
